function crm00050002_Reserva_de_Prospect_Repository(restEngine) {
    
    /**
     * Função para fazer a requisição no backEnd
     * para realizar o insert do prospect.
     * 
     * @param {object} paramsRestEngine parâmetros para
     * a função restEngine.
    */    
    this.requestForInsertResaleProspect = function(paramsRestEngine){
        
        return restEngine.post('/insertResaleProspect', paramsRestEngine,
            function(success){
                
            },undefined,
            function(error){
                
            },undefined,undefined
        );
        
    };
    
    /**
     * Função para fazer a requisição no backEnd
     * para realizar o select do número da revenda
     * do operado.
     * 
     * @param {object} paramsRestEngine parâmetros para
     * a função restEngine.
    */
    this.requestForcallForSelectOperatorResaleNumber = function(paramsRestEngine){
        
        return restEngine.post('/selectOperatorResaleNumber', paramsRestEngine,
            function(success){
                
            },undefined,
            function(error){
                
            },undefined,undefined
        );
        
    };
    
    /**
     * Função para fazer a requisição no backEnd,
     * solicitando o envio de email.
     * 
     * @param {object} paramsRestEngine parâmetros para
     * a função restEngine. 
    */
    this.requestForSendEmail = function(paramsRestEngine){
        
        restEngine.post('/sendEmail', paramsRestEngine,
            function(success){
                
            },undefined,
            function(error){
                
            },undefined, undefined
        );
        
    };

}

Configuration(function (ContextRegister) {
    ContextRegister.register("crm00050002_Reserva_de_Prospect_Repository", crm00050002_Reserva_de_Prospect_Repository);
});