<?php
namespace Teknisa\CRM\Controller;

use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;

class ImportacaoProspectController
{
    protected $importacaoProspectService;

    public function __construct(\Teknisa\CRM\Service\ImportacaoProspectService $importacaoProspectService) {
        $this->importacaoProspectService = $importacaoProspectService;
    }
    
    public function saveUploadFile(Request $request, Response $response) {
        try {
            set_time_limit(0);
            ini_set('memory_limit', '-1');

            $dataset = $request->getDataSet();
            $dataset = $dataset->getRows();
            $dataset = $dataset[0];

            $return = $this->importacaoProspectService->saveUploadFile($dataset);
            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('saveUploadFile', array($return)));
        } catch(\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}